package com.crm.ucard.dao.mapper;


import com.crm.rely.backend.core.dto.ucard.CardBlockchainConfigDto;
import com.crm.rely.backend.core.entity.ucard.CardBlockchainConfigAddEntity;
import com.crm.rely.backend.core.entity.ucard.CardBlockchainConfigPageEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardBlockchainConfigMapper {

    Integer countList(CardBlockchainConfigPageEntity entity);

    List<CardBlockchainConfigDto> pageList(CardBlockchainConfigPageEntity entity);

    void insert(CardBlockchainConfigAddEntity table);

    List<CardBlockchainConfigDto> findWithdrawalAllByEnableStatus();
    List<CardBlockchainConfigDto> findRechargeAllByEnableStatus();

}
